SOLUCIONAR PROBLEMA DE MÓDULO EN VMWARE

VMWARE

¿Tuviste el problema de que no te iniciaba el VMWare por actualizar al último Kernel? Acá te dejo la solución para dicho problema. Seguramente nos salió un cartel diciendo que no encuentra un versión compatible de GCC para poder compilar los módulos que necesita acoplar al Kernel para funcionar, por lo cual necesitaremos instalar una versión más reciente para lo cuál te dejo los pasos a seguir:

VMWARE

Si en el intento de instalarlo viste que no te funciono y lo desinstalaste te dejo el enlace para que ingreses a la página oficial y lo descargues. Tienes que ingresar aquí y descargar VMware Workstation Player for Linux. El cual nos brindara un archivo VMware-Player-15.5.1-15018445.x86_64.bundle dependiendo de la versión del programa actualmente.

GCC

Para este ejemplo práctico utilizaremos la versión 9.2 obtenida desde GitHub, aconsejamos revisar dicho enlace para ver si no hay una nueva versión más reciente para instalar. Si encontramos una mas reciente debemos cambiar ese valor en los comandos para que funcionen correctamente.

sudo apt update

sudo apt upgrade

sudo apt install build-essential

sudo apt install flex

wget https://github.com/gcc-mirror/gcc/archive/releases/gcc-9.2.0.tar.gz

tar -xzvf gcc-9.2.0.tar.gz

cd gcc-releases-gcc-9.2.0

contrib/download_prerequisites

./configure -v -build=x86_64-linux-gnu -host=x86_64-linux-gnu -target=x86_64-linux-gnu -enable-checking=release -enable-languages=c,c++ -disable-multilib

make -j 4 (este proceso demora 1hs aprox)

sudo make install

CONFIGURACIÓN

Para este caso ocuparemos la versión 15.5.1 por lo que los módulos que obtendremos corresponder a esa versión del programa, por lo que en el primer comando debemos reemplazar los números en workstation-15.5.1 por la versión que instalemos en el sistema.

git clone -b workstation-15.5.1 https://github.com/mkubecek/vmware-host-modules.git 

cd vmware-host-modules 

sudo tar -cf vmmon.tar vmmon-only 

sudo tar -cf vmnet.tar vmnet-only 

sudo cp -v vmmon.tar vmnet.tar /usr/lib/vmware/modules/source/

sudo vmware-modconfig --console --install-all

Observación: debemos realizar el proceso de configuración cada vez que actualicemos a una nueva versión del kernel, si no eliminamos la carpeta creada con la descarga en la carpeta personal del equipo solamente debemos realizar los últimos 2 pasos nuevamente. Si tuviste algún error en el proceso de configuración tras una actualización del kernel te dejo a continuación los pasos para solucionarlo.

git clone -b workstation-15.5.1 https://github.com/mkubecek/vmware-host-modules.git 

cd vmware-host-modules

sudo make

sudo make install

Estos serian los pasos para estar disfrutando de la última versión del kernel con VMWare instalado en su última versión funcionando correctamente. No te olvides de dejarnos tu comentario para saber tu experiencia. ¡Saludos!

4.7 3 votos
Califica el Artículo
 
Subscribete
Notificar de
16 Reacciones
Más populares
Más nuevos Más antiguos
Opinión desde el articulo
Ver todos los comentarios
Ramon Milian
Ramon Milian (@ramonmilian)
9 meses atrás

Excelente tuto, gracias.

Luis Cerrano
Luis Cerrano (@luis-serrano)
8 meses atrás

Hoy mismo tuve ese problema yo, lo voy a tratar de hacer otra vez.

Justo Moreno
Justo Moreno (@justo-moreno776)
8 meses atrás

Me vino como anillo al dedo, gracias.

Luis Sosa
Luis Sosa (@luissosa987)
8 meses atrás

No me funciono.

Peligroso Mario
Peligroso Mario (@peligrosomario)
Respondiendo a  Luis Sosa
8 meses atrás

A mi si, perfectamente, gracias  Tomás Warynyca !

Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Editor
Respondiendo a  Luis Sosa
8 meses atrás

 Luis Sosa

Hola, por favor envíe las capturas de pantalla (Ctrl+Alt+A) de los mensajes de error para determinar la causa de que no le funcionara.

Luis Sosa
Luis Sosa (@luissosa987)
Respondiendo a  Isaías Gätjens M
8 meses atrás

Como en el 5 intento, entonces funciono, gracias.

Omar Yesid
Omar Yesid (@omar-yesid)
Respondiendo a  Isaías Gätjens M
7 meses atrás

quede ahi
por fa ayuda

DeepinScreenshot_Seleccionar área_20200128073753.png
Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Editor
Respondiendo a  Omar Yesid
7 meses atrás

Hola, ahí lo que dice es que no pudo descargar el archivo, inténtelo de nuevo o asegúrese de estar usado la URL correcta. También puede intentar con la siguiente URL.

https://github.com/gcc-mirror/gcc/archive/releases/gcc-9.2.0.tar.gz

Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Editor
Respondiendo a  Omar Yesid
7 meses atrás

Cuando lo descomprima con el comando tar, también asegúrese de usar el nombre de archivo correcto.

Michael Alberto Carrillo Rodriguez
Michael Alberto Carrillo Rodriguez (@michaelalbertocarrillorodriguez)
8 meses atrás

Hola buen Día, disculpa pero no se como resolver esto que me dice, no se que este haciendo mal, gracias

DeepinScreenshot_20191228171027.jpg
Alfredo doria delbarre
Alfredo doria delbarre (@alfredodoriadelbarre)
6 meses atrás

cuando ejecuto el comando sale este error
./configure -v -build=x86_64-linux-gnu -host=x86_64-linux-gnu -target=x86_64-linux-gnu -enable-checking=release -enable-languages=c,c++ -disable-multilib

por favor su ayuda

Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Editor
Respondiendo a  Alfredo doria delbarre
6 meses atrás

 Alfredo doria delbarre

Vamos a esperar que  Tomás Warynyca esté disponible, yo noté que el enlace de descarga de gcc está roto. Pero no uso vmware así que no es mi fuerte.

 

16
0
Nos gustaría saber lo que piensas, Únete a la discusión.x
()
x